export const userClounms = [
  {
    title: window.$t("tariffManagement.id"),
    dataIndex: "Number",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.label"),
    dataIndex: "label",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.source"),
    dataIndex: "sourceName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.billingCycleUser"),
    dataIndex: "billingCycleName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.pricingUser"),
    dataIndex: "billingMethodName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.pricing"),
    dataIndex: "pricingName",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.feeStatus"),
    dataIndex: "status",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.MRCName"),
    dataIndex: "mrcAmount",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.networkName"),
    dataIndex: "networkAccessFee",
    align: "center",
    width: 200,
    ellipsis: true,
  },
  {
    title: window.$t("tariffManagement.endDate"),
    dataIndex: "endDate",
    align: "center",
    width: 200,
    ellipsis: true,
  },
]


// 资费搜索字段
export const trafficSearchFrom = [
  {
    type: "input",
    label: "客户名称",
    field: "username",
    value: "", // 双向绑定的值
  },
  {
    type: "input",
    label: "资费名称",
    field: "label",
    value: "", // 双向绑定的值
  },
  {
    type: "select",
    label: "运应商名称",
    field: "source",
    options: [], // 默认空，后面会通过字典加载
    dict: "source",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "流量结算方式",
    field: "billingMethod",
    options: [], // 默认空，后面会通过字典加载
    dict: "billingMethod",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "select",
    label: "账单计费周期",
    field: "BillingCycle",
    options: [], // 默认空，后面会通过字典加载
    dict: "BillingCycle",
    value: "", // 双向绑定的值
    width: "200",
  },
  {
    type: "date-picker",
    label: "有效期",
    field: "endDate",
    value: "", // 双向绑定的值
    width: "200",
  },
];



